# -*- rpm-spec -*-
# $Id: itcl,v 1.10 2002/10/19 15:13:55 lioka Exp $

%define force_ac_213 1
%define major 3.2
%define ver %major.1
%define iwver 4.0.0

Name: itcl
Version: %ver
Release: alt3
Serial: 1

Summary: %name is an object-oriented extension of the Tcl language
License: BSD
Group: Development/Tcl
Url: http://incrtcl.sourceforge.net/

Source0: %name%{ver}_src.tar.bz2
Source1: iwidgets%iwver.tar.bz2
Patch0: %name-3.2-tcl84.patch

Requires: tk >= 8.4.0-alt1
BuildPreReq: tk-devel >= 8.4.0-alt1
%if %force_ac_213
BuildPreReq: autoconf_2.13
%endif

%package devel
Summary: Header files and C programming manual for itcl
Group: Development/C
Requires: %name = %serial:%version-%release tk-devel >= 8.4.0-alt1

%package -n iwidgets
Version: %iwver
Summary: A collection of programs to demonstrate the features of the itcl
Group: Development/Tcl
Requires: %name = %serial:%ver-%release

%package -n iwidgets-demos
Version: %iwver
Summary: A collection of programs to demonstrate the features of the itcl
Group: Development/Tcl
Requires: iwidgets = %serial:%iwver-%release
Provides: %name-demos = %serial:%version-%release
Obsoletes: %name-demos

%description
[incr Tcl] is an object-oriented extension of the Tcl language.  It
was created to support more structured programming in Tcl and
introduces the notion of objects. This object-oriented paradigm
adds another level of organization on top of the basic variable/procedure
elements, and the resulting code is easier to understand and maintain.

%description devel
[incr Tcl] is an object-oriented extension of the Tcl language.  It
was created to support more structured programming in Tcl and
introduces the notion of objects. This object-oriented paradigm
adds another level of organization on top of the basic variable/procedure
elements, and the resulting code is easier to understand and maintain.

This package includes header files and C programming manual for [incr Tcl].

%description -n iwidgets
[incr Widgets] is an object-oriented mega-widget set which extends 
Tcl/Tk and is based on [incr Tcl] and [incr Tk].  This set of mega-widgets
delivers many new, general purpose widgets like option menus, comboboxes, 
selection boxes, and various dialogs whose couterparts are found in Motif 
and Windows.

%description -n iwidgets-demos
[incr Widgets] is an object-oriented mega-widget set which extends 
Tcl/Tk and is based on [incr Tcl] and [incr Tk].  This set of mega-widgets
delivers many new, general purpose widgets like option menus, comboboxes, 
selection boxes, and various dialogs whose couterparts are found in Motif 
and Windows.

This package contains a collection of programs to demonstrate
the features of the widget set, based on [incr Widgets].

%prep
%setup -q -n %name%ver -a1
%patch0 -p1
%__subst 's|\(RELPATH=\)\.\.|\1\"\.\. \.\. \.\. lib tcl\"|' {itcl,itk}/configure

%build
%__rm -f configure aclocal.m4 tcl.m4
%__aclocal
%__autoconf
%configure -enable-shared --enable-gcc --libdir=%_tcllibdir
%make_build

%install
%makeinstall libdir=%buildroot%_tcllibdir
%__ln_s -f libitk%major.so %buildroot%_tcllibdir/libitk.so
%__ln_s -f libitcl%major.so %buildroot%_tcllibdir/libitcl.so
%__rm -f %buildroot%_tcldatadir/iwidgets
%__ln_s iwidgets%iwver %buildroot%_tcldatadir/iwidgets
find itcl/doc itk/doc -type f -name '*.n'|\
	sed 's|.\+/\([^/]\+$\)|%_mandir/mann/\1\.*|g' > itcl-mans
# FIXME dialog.n & panedwindow.n conflicts with ones from tk
find iwidgets%iwver/doc -type f -name '*.n'|\
	 grep -vw dialog.n | grep -vw panedwindow.n |\
	sed 's|.\+/\([^/]\+$\)|%_mandir/mann/\1\.*|g' > iwidgets-mans

%files -f itcl-mans
%doc README
%_tcllibdir/libitcl%major.so
%_tcllibdir/libitk%major.so
%_tcldatadir/itcl%major
%_tcldatadir/itk%major

%files devel
%_includedir/*
%_tcllibdir/libitcl.so
%_tcllibdir/libitk.so
%_tcllibdir/libitclstub%major.a
%_tcllibdir/libitkstub%major.a

%files -n iwidgets -f iwidgets-mans
%doc iwidgets%iwver/README
%dir %_tcldatadir/iwidgets%iwver
%_tcldatadir/iwidgets
%_tcldatadir/iwidgets%iwver/*.tcl
%_tcldatadir/iwidgets%iwver/scripts

%files -n iwidgets-demos
%_tcldatadir/iwidgets%iwver/demos

%changelog
* Sat Oct 19 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1:3.2.1-alt3
- iwidget-demos now obsoletes %name-demos

* Mon Oct  7 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.2.1-alt2
- rebuilt with tcl 8.4

* Tue Jul 16 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.2.1-alt1
- itcl 3.2.1
- iwidgets 4.0.0
- libpath changed to %_tcllibpath
- src rpm splitted

* Mon Mar 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt7
- fixed encoding file for koi8-u

* Tue Mar 05 2002 Stanislav Ievlev <inger@altlinux.ru> 8.3.4-alt6
- removed all -lieee, 'cause
  fist: Programs can work with -lm and without -lieee
  second: Programs cannot link with lieee library

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt5
- tclx fixes
- fixed tls build with stubs from tcl build dir
- fixed permissions for %_libdir/lib*stub*.a

* Wed Oct 24 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.4-alt4
- Tcl/Tk 8.3.4
- SSL support added (tcl-tls)

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.3.3-alt3
- Removed unnecessary provides and obsoletes.
- Added *_rel macros for subpackages and corrected inter-requires.
- Merged RH patches.

* Sat Jun 16 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt2
- Rearranged files in subpackages: tcl, tcl-devel
- Tk splitted to: tk tk-devel tk-demos
- tclX 8.3.0, splitted to: tclx tclx-devel
- tix 8.1, splitted to: tix tix-devel tix-demos
- itcl 3.2, splitted to: itcl itcl-devel itcl-demos compat-itcl compat-itcl-demos. Huh :)
- tcllib removed to separate package
- Dropped most of changelog entries
- Group fixed

* Tue May 15 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt1
- Tcl/Tk 8.3.3
- tcllib 0.8
- expect 5.32, splitted to subpackages.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 8.3.2-ipl8mdk
- Moved include files and C programming manual to tcl-devel subpackage.
- Fixed out empty manpages.

* Wed Nov 29 2000 AEN <aen@logic.ru> 8.3.2-ipl7mdk
- build for RE
- ps patch from Viktor Wagner
- bad requires patch
